Jump to content

CCE - Web bootloaders manager [OpenCore, CloverEFI, Ozmosis, Chameleon]


kylon
 Share

124 posts in this topic

Recommended Posts

new-cce-logo.png

Cloud Clover Editor (CCE) is an open source application that allows you to manage the configuration of various Hackintosh Bootloaders.


Open CCE

 

CCE Wiki

CCE sources

CCE issue tracker

 

Features:

  • Supports OpenCore, Clover EFI, Ozmosis, Chameleon
  • GUI and Text Editor Mode
  • CCE Bank (save your config in CCE)
  • Mobile friendly
  • and more...

 

Officially supported browsers:

  • Firefox
  • Chrome/Chromium

 

Incompatible browsers (missing required features):

  • Internet Explorer

 

See wiki for more info!

If you find a bug or a regression, please open a new issue: here

 

Credits

  • mackie100 - took some ideas from his app
  • Clover EFI dev team
  • Eric Slivka - new serial number
  • Virtual1 - new serial number
  • cecekpawon - PHP 5.3.3 patch, , help with the ACPI Loader Mode flag and more
  • Micky1979 - Clover flying editor  (Discontinued)
  • crusher. - Help with the ACPI Loader Mode flag
  • Download-Fritz - Help with the ACPI Loader Mode flag
  • Pavo - Ozmosis fields and values
  • stehor - Ozmosis fields and values
  • Sherlocks - General help and support
  • gujiangjiang - General help and support
  • vit9696 - OpenCore data values and more

 

Please let me know if i forgot you!

Edited by kylon
  • Like 16
Link to comment
Share on other sites

Kudos! Working great on my localhost but not on Clover SF (php 5.3.3) :(

What libs is currently requiring php "5.3.10"? Maybe we can trick/downgrade it a bit?

Maybe you can stick the download button to sidebar / header for easy use? :)

<?php
/*
 * Cloud Clover Editor
 * Copyright (C) kylon - 2016
 * License - http://www.gnu.org/licenses/gpl-3.0.txt
 */
if (version_compare(phpversion(), '5.3.10', '<')) {
    die('This PHP version (' . PHP_VERSION . ') is not supported, please upgrade!');
} else {
    header('Location: cce/index.php');
    exit();
}
  • Like 2
Link to comment
Share on other sites

Hi,

 

CFPropertyList requires php 5.3

 

I did a quick test on a site to see the minium php version and this was the result, but i never really did a test on php 5.3.x .

I'm currently on linux and i cannot easily switch php version, i will do some tests with xamp asap.

Link to comment
Share on other sites

Thanks

 

In utils.php -> isSelected i need to compare null values, otherwise some selects will have a wrong selected value

 

the source is updated

Link to comment
Share on other sites

  • 3 weeks later...
  • 2 weeks later...

Well, seems my sf account has been deleted for unknown reasons and without email notification :)

 

i ll try to send an email to sf, meanwhile i ll look for a new host that does not delete accounts without notice...

  • Like 1
Link to comment
Share on other sites

  • 2 months later...

Hi kylon, I wonder if I can send a post action (or something else) to load a config.plist decided by my app..

i.e., I can update Clover flying editor.app to find the boot partition (mount the ESP if needed) and send the path to the loaded plist to Cloud Clover Editor..

Can you help me?

Thanks

  • Like 1
Link to comment
Share on other sites

  • 3 weeks later...

I know, sf is a soo bad.

 

I m still a student, so no job, no money to buy a good host.

I already tried a few free hosts, but there were no improvements.

 

The next month i should be able to use a decent server.

 

Sorry for this delay :(

  • Like 2
Link to comment
Share on other sites

  • kylon changed the title to CCE - Web bootloaders manager [OpenCore, CloverEFI, Ozmosis, Chameleon]
 Share

×
×
  • Create New...